<?
if ($attack) {			//linkАтаковать
$loc=split("\|",$locations[$player["loc"]]);
if ($loc[1]) msg("Атака на охраняемой зоне запрещена!"); 
if ($attack==$admin || $attack==$admin2 || $attack==$moder || $attack==$moder2) msg("Атакавать ето существо невозможно!");
if ($login==$moder || $login==$moder2) msg("Атакавать вам нельзя!");
if ($player["ghost"]) msg("Вы призрак и поэтому не можете никого атаковать, найдите лекаря или камень воскрешения");
if ($player["loc"]=="loc.bank") msg("В етом месте атаковать запрещено"); 
if ($player["loc"]=="loc.new.7" || $player["loc"]=="loc.new.14" || $player["loc"]=="loc.new.4" || $player["loc"]=="loc.new.16" || $player["loc"]=="loc.new.36" || $player["loc"]=="loc.new.5") msg("В етом месте атаковать запрещено");
if ($player["loc"]=="loc.arena")  $time_crim = 0;
	$player["macros"]["last"]["action"]="attack";
	$player["macros"]["last"]["object"]="\"".$attack."\"";
	if (isset($game["loc"][$player["loc"]][$attack])) {
		if (substr($attack,0,4)=='npc.' || substr($attack,0,5)=='user.') {
			// установим статус, что нападаем на такого-то
			$player["attack"]=$attack;
			if (time()<$player["time_speed"]) addjournal($login,"Слишком часто атакуете");
				else attack($player["loc"],$login,$attack);
			} else addjournal($login,"Нападать можно только на людей, NPC и монстров");
		} else addjournal($login,"Не на кого напасть");
	}
?>